## nginx 1.6.2

=== debian/changelog ===
nginx (1.6.2-5ubuntu3) vivid-proposed; urgency=medium

  * debian/rules:
    * Reversed Debian change in 1.6.2-5ubuntu2.
    * Added DEB_BUILD_MAINT_OPTIONS=hardening=+all to enable all
      dpkg-buildflags to harden the code, except for PIE flags.
    * Manually define DEB_BUILD_MAINT_OPTIONS in DEBIAN_NGINX_PERL_LDFLAGS
      to not have -fPIE conflicts in Perl flags.

 -- Thomas Ward <teward@ubuntu.com>  Wed, 01 Apr 2015 14:57:34 -0400

nginx (1.6.2-5ubuntu2) vivid-proposed; urgency=medium

  * debian/rules:
    * Added -fPIE -pie to build rules (enables position-independent builds)
      using Debian's committed change to enable. (LP: #1315426)

 -- Thomas Ward <teward@ubuntu.com>  Wed, 01 Apr 2015 14:26:32 -0400

nginx (1.6.2-5ubuntu1) vivid; urgency=medium

  * Merge from Debian.  Remaining changes: (LP: #1399967)
    - debian/patches/ubuntu-branding.patch: add Ubuntu branding (refreshed)
    - debian/rules: Drop from -O3 to -O2 to work around a build failure.
    - d/{control,rules,nginx-core.*}: add new binary package for main,
      nginx-core, which contains only source-tarball-included modules
      and no third-party modules.
    - debian/tests/control: add nginx-core test.
    - debian/control: drop luajit from Build-Depends as it is in universe.

 -- Thomas Ward <teward@ubuntu.com>  Sat, 06 Dec 2014 13:06:55 -0500

nginx (1.6.2-5) unstable; urgency=medium

  [ Christos Trochalakis ]
  * debian/conf/nginx.conf:
    + Drop SSLv3 protocol (POODLE), and prefer server ciphers
      by default. (Closes: #767456)
  * debian/copyright:
    + Add copyright for ngx_http_substitutions_filter_module.
  * debian/nginx-common.{preinst,postinst,postrm}:
    + Remove /etc/nginx/naxsi-ui.conf conffile. (Closes: #768233)
  * debian/README.Debian:
    + Add a list of important changes since wheezy.

 -- Christos Trochalakis <yatiohi@ideopolis.gr>  Sun, 30 Nov 2014 10:39:55 +0200

nginx (1.6.2-4ubuntu1) vivid; urgency=medium

  * Merge from Debian. Remaining changes: (LP: #1388621)
    - debian/patches/ubuntu-branding.patch: add Ubuntu branding
      (refreshed).
    - debian/rules: Drop from -O3 to -O2 to work around a build failure.
    - d/{control,rules,nginx-core.*}: add new binary package for main,
      nginx-core, which contains only source-tarball-included modules
      and no third-party modules.
    - debian/tests/control: add nginx-core test.
    - debian/control: drop luajit from Build-Depends as it is in universe.
  * debian/control:
    * Remove nginx-naxsi* from nginx-core and related
      package stanzas, as the naxsi packages have all been dropped.
    * Remove reference to nginx-naxsi from nginx metapackage description
  * debian/index.html: Modify included index.html file to have Ubuntu
    branding, Ubuntu bug reporting tool references, and a link to the
    Launchpad bugs page for the nginx package.

 -- Thomas Ward <teward@ubuntu.com>  Wed, 05 Nov 2014 10:05:07 -0500

nginx (1.6.2-4) unstable; urgency=medium

  [ Christos Trochalakis ]
  * debian/modules/nginx-development-kit:
    + Upgrade v0.2.17-7-g24202b4 -> v0.2.19
  * debian/modules/nginx-echo:
    + Upgrade v0.51 -> v0.56
  * debian/modules/nginx-upload-progress:
    + Upgrade v0.9.0-0-ga788dea -> 0.9.1
  * debian/modules/ngx-fancy-index:
    + Upgrade v0.3.3 -> v0.3.4
  * debian/copyright:
    + Rewrite copyright file fixing various issues.
  * debian/nginx-common.nginx.logrotate:
    + Switch postrotate to the initscript's rotate command.

 -- Christos Trochalakis <yatiohi@ideopolis.gr>  Sun, 19 Oct 2014 08:23:33 +0300

nginx (1.6.2-3) unstable; urgency=medium

  [ Christos Trochalakis ]
  * Change the default document root to /var/www/html according to debian
    policy 3.9.6.0. (Closes: #730382)
  * Provide a new, debian specific, default landing page.
  * debian/nginx-common.nginx.service:
    + Graceful stopping of nginx was not handled correctly with systemd.
  * debian/nginx-common.nginx.init:
    + Gracefully stop nginx by default, we are switcing to a configurable
      STOP/5/TERM/5/KILL/5 schedule. We are now in sync with the systemd
      service file. (Closes: #762708)
  * debian/conf:
    + Introduce a `snippets/fastcgi-php.conf` snippet with a basic
      php configuration that can be included when needed. (Closes: #762491)
    + Introduce a `snippets/snakeoil.conf` snippet that enabled https
      using the certs installed by the ssl-cert package.
    + Suggest disabling SSLv3 in default site with a ref to POODLE.
  * debian/control:
    + nginx-common now suggests ssl-cert.

 -- Christos Trochalakis <yatiohi@ideopolis.gr>  Thu, 16 Oct 2014 13:34:29 +0300

nginx (1.6.2-2) unstable; urgency=medium

  [ Christos Trochalakis ]
  * Drop nginx-naxsi, nginx-naxsi-dbg, nginx-naxsi-ui packages.
    (Closes: #746199, #737146, #712445)
  * debian/conf/nginx.conf:
    + Remove relic passenger stanga.

 -- Christos Trochalakis <yatiohi@ideopolis.gr>  Fri, 26 Sep 2014 11:06:47 +0300

nginx (1.6.2-1ubuntu1.1) utopic; urgency=medium

  * debian/conf/sites-available/default: Remove SSLv3 from the ssl_protocols
    line in the default config example, due to POODLE vulnerability.

 -- Thomas Ward <teward@dark-net.net>  Wed, 22 Oct 2014 09:43:35 -0400

nginx (1.6.2-1ubuntu1) utopic; urgency=medium

  * Merge from Debian. Remaining changes:
    - debian/patches/ubuntu-branding.patch: add Ubuntu branding
      (refreshed).
    - debian/rules: Drop from -O3 to -O2 to work around a build failure.
    - d/{control,rules,nginx-core.*}: add new binary package for main,
      nginx-core, which contains only source-tarball-included modules
      and no third-party modules.
  * debian/tests/control: add nginx-core test.
  * debian/control: drop luajit from Build-Depends as it is in universe.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 22 Sep 2014 13:32:30 -0400

nginx (1.6.2-1) unstable; urgency=high

  [ Christos Trochalakis ]
  * New upstream release.

