## nginx 1.8.0

=== debian/changelog ===
nginx (1.8.0-1~dotdeb+8.2) stable; urgency=medium

  * nginx-push-stream 0.5.1. Close #62
  * ngx-conf in /usr/sbin. Close #66
  * ngx_pagespeed 1.9.32.4. Fixes #68

 -- Guillaume Plessis <gui@dotdeb.org>  Wed, 17 Jun 2015 14:50:19 -0700

nginx (1.8.0-1~dotdeb+8.1) oldstable; urgency=medium

  * Imported Upstream version 1.8.0
  * syslog support is now upstream
  * Thread pool support
  * Sync with Debian

 -- Guillaume Plessis <gui@dotdeb.org>  Sat, 25 Apr 2015 20:39:38 -0700

nginx (1.6.3-1~dotdeb+wheezy.1) stable; urgency=medium

  * Modules update
  * Imported Upstream version 1.6.3
  * generic Dockerfile to ease Debian packaging
  * gbp.conf

 -- Guillaume Plessis <gui@dotdeb.org>  Wed, 08 Apr 2015 11:47:13 -0700

nginx (1.6.2-1~dotdeb.1) stable; urgency=medium

  * Imported Upstream version 1.6.2
  * Patches refresh for 1.6.2
  * ngx_pagespeed 1.9.32.1
  * Modules update
  * nginx-rtmp-module added to nginx-extras

 -- Guillaume Plessis <gui@dotdeb.org>  Tue, 16 Sep 2014 23:11:44 -0700

nginx (1.6.1-1~dotdeb.1) stable; urgency=medium

  * New upstream release
  * Sync with Debian
  * Modules update

 -- Guillaume Plessis <gui@dotdeb.org>  Thu, 14 Aug 2014 15:54:42 +0200

nginx (1.6.0-1~dotdeb.2) stable; urgency=medium

  * ngx_pagespeed security upgrade

 -- Guillaume Plessis <gui@dotdeb.org>  Fri, 27 Jun 2014 07:32:42 -0700

nginx (1.6.0-1~dotdeb.1) stable; urgency=medium

  * Rebuilt for Dotdeb

 -- Guillaume Plessis <gui@dotdeb.org>  Fri, 09 May 2014 15:23:42 -0700
