=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,7 @@
 #!/usr/bin/make -f
 export DH_VERBOSE=1
 
-export DEB_BUILD_MAINT_OPTIONS=hardening=+all
-debian_cflags:=$(shell dpkg-buildflags --get CFLAGS | sed 's/-O3/-O2/') $(shell dpkg-buildflags --get CPPFLAGS)
+debian_cflags:=$(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
 debian_ldflags:=$(shell dpkg-buildflags --get LDFLAGS)
 
 # export necessary perl hardenging flags
@@ -10,7 +9,7 @@
 DEBIAN_NGINX_PERL_LDFLAGS:= $(shell DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie dpkg-buildflags --get LDFLAGS)
 export DEBIAN_NGINX_PERL_LDFLAGS
 
-FLAVOURS := core full light extras
+FLAVOURS := full light extras naxsi
 
 MODULESDIR = $(CURDIR)/debian/modules
 BASEDIR = $(CURDIR)
@@ -47,20 +46,11 @@
 			--with-http_ssl_module \
 			--with-http_stub_status_module \
 			--with-http_realip_module \
-			--with-http_auth_request_module
-
-core_configure_flags := \
-			$(common_configure_flags) \
-			--with-http_addition_module \
-			--with-http_dav_module \
-			--with-http_geoip_module \
-			--with-http_gzip_static_module \
-			--with-http_image_filter_module \
-			--with-http_spdy_module \
-			--with-http_sub_module \
-			--with-http_xslt_module \
-			--with-mail \
-			--with-mail_ssl_module
+			--with-http_auth_request_module \
+			--with-http_gunzip_module \
+			--with-file-aio \
+			--with-threads \
+			--with-http_spdy_module
 
 light_configure_flags := \
 			$(common_configure_flags) \
@@ -68,7 +58,7 @@
 			--without-http_browser_module \
 			--without-http_geo_module \
 			--without-http_limit_req_module \
-			--without-http_limit_zone_module \
+			--without-http_limit_conn_module \
 			--without-http_memcached_module \
 			--without-http_referer_module \
 			--without-http_scgi_module \
@@ -76,7 +66,9 @@
 			--without-http_ssi_module \
 			--without-http_userid_module \
 			--without-http_uwsgi_module \
-			--add-module=$(MODULESDIR)/nginx-echo
+			--add-module=$(MODULESDIR)/nginx-echo \
+			--add-module=$(MODULESDIR)/nginx-x-rid-header \
+				--with-ld-opt=-lossp-uuid
 
 full_configure_flags := \
 			$(common_configure_flags) \
@@ -85,7 +77,7 @@
 			--with-http_geoip_module \
 			--with-http_gzip_static_module \
 			--with-http_image_filter_module \
-			--with-http_spdy_module \
+			--with-http_secure_link_module \
 			--with-http_sub_module \
 			--with-http_xslt_module \
 			--with-mail \
@@ -94,7 +86,11 @@
 			--add-module=$(MODULESDIR)/nginx-dav-ext-module \
 			--add-module=$(MODULESDIR)/nginx-echo \
 			--add-module=$(MODULESDIR)/nginx-upstream-fair \
-			--add-module=$(MODULESDIR)/ngx_http_substitutions_filter_module
+			--add-module=$(MODULESDIR)/ngx_http_substitutions_filter_module \
+			--add-module=$(MODULESDIR)/nginx-cache-purge \
+			--add-module=$(MODULESDIR)/ngx_http_pinba_module \
+			--add-module=$(MODULESDIR)/nginx-x-rid-header \
+				--with-ld-opt=-lossp-uuid
 
 extras_configure_flags := \
 			$(common_configure_flags) \
@@ -102,13 +98,13 @@
 			--with-http_dav_module \
 			--with-http_flv_module \
 			--with-http_geoip_module \
+			--with-http_gunzip_module \
 			--with-http_gzip_static_module \
 			--with-http_image_filter_module \
 			--with-http_mp4_module \
 			--with-http_perl_module \
 			--with-http_random_index_module \
 			--with-http_secure_link_module \
-			--with-http_spdy_module \
 			--with-http_sub_module \
 			--with-http_xslt_module \
 			--with-mail \
@@ -120,11 +116,34 @@
 			--add-module=$(MODULESDIR)/nginx-development-kit \
 			--add-module=$(MODULESDIR)/nginx-echo \
 			--add-module=$(MODULESDIR)/ngx-fancyindex \
-			--add-module=$(MODULESDIR)/nginx-http-push \
+			--add-module=$(MODULESDIR)/nginx-push-stream-module \
 			--add-module=$(MODULESDIR)/nginx-lua \
 			--add-module=$(MODULESDIR)/nginx-upload-progress \
 			--add-module=$(MODULESDIR)/nginx-upstream-fair \
-			--add-module=$(MODULESDIR)/ngx_http_substitutions_filter_module
+			--add-module=$(MODULESDIR)/ngx_http_substitutions_filter_module \
+			--add-module=$(MODULESDIR)/naxsi/naxsi_src \
+			--add-module=$(MODULESDIR)/nginx-auth-ldap \
+			--add-module=$(MODULESDIR)/ngx_http_pinba_module \
+			--add-module=$(MODULESDIR)/ngx_pagespeed \
+			--add-module=$(MODULESDIR)/nginx-x-rid-header \
+			--add-module=$(MODULESDIR)/nginx-rtmp-module \
+				--with-ld-opt=-lossp-uuid
+
+naxsi_configure_flags := \
+			$(common_configure_flags) \
+			--with-http_geoip_module \
+			--with-http_gzip_static_module \
+			--without-mail_pop3_module \
+			--without-mail_smtp_module \
+			--without-mail_imap_module \
+			--without-http_uwsgi_module \
+			--without-http_scgi_module \
+			--add-module=$(MODULESDIR)/naxsi/naxsi_src \
+			--add-module=$(MODULESDIR)/nginx-cache-purge \
+			--add-module=$(MODULESDIR)/nginx-upstream-fair \
+			--add-module=$(MODULESDIR)/nginx-echo \
+			--add-module=$(MODULESDIR)/nginx-x-rid-header \
+				--with-ld-opt=-lossp-uuid \
 
 %:
 	dh $@ --with systemd
@@ -151,6 +170,12 @@
 	dh_strip --package=nginx-$(*) --dbg-package=nginx-$(*)-dbg
 
 config.arch.%:
+	if [ $* = extras ]; then \
+		cd $(MODULESDIR)/ngx_pagespeed && \
+		curl https://dl.google.com/dl/page-speed/psol/1.9.32.4.tar.gz | tar xz && \
+		perl -pi -e 'print "#ifdef LOG_INFO\n#undef LOG_INFO\n#endif\n\n#ifdef LOG_WARNING\n#undef LOG_WARNING\n#endif\n\n" if $$. == 1' \
+		psol/include/third_party/chromium/src/base/logging.h; \
+	fi
 	dh_testdir
 	mkdir -p $(BUILDDIR_$*)
 	cp -Pa $(CURDIR)/auto $(BUILDDIR_$*)/
