## nginx 1.8.1

=== debian/changelog ===
nginx (1.8.1-1~dotdeb+8.1) stable; urgency=medium

  * Imported Upstream version 1.8.1
  * ngx_pagespeed 1.10.33.2

 -- Guillaume Plessis <gui@dotdeb.org>  Tue, 26 Jan 2016 13:00:50 -0800
